FailedConsole Output

Skipping 6,402 KB.. Full Log
Tm2QEAI9P8iI4AAAA=
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 380, in _make_request 
 [integration_py3_admin_unit_test] httplib_response = conn.getresponse() 
 [integration_py3_admin_unit_test] File "/usr/lib/python3.5/http/client.py", line 1198, in getresponse 
 [integration_py3_admin_unit_test] response.begin() 
 [integration_py3_admin_unit_test] File "/usr/lib/python3.5/http/client.py", line 297, in begin 
 [integration_py3_admin_unit_test] version, status, reason = self._read_status() 
 [integration_py3_admin_unit_test] File "/usr/lib/python3.5/http/client.py", line 258, in _read_status 
 [integration_py3_admin_unit_test] line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1") 
 [integration_py3_admin_unit_test] File "/usr/lib/python3.5/socket.py", line 576, in readinto 
 [integration_py3_admin_unit_test] return self._sock.recv_into(b) 
 [integration_py3_admin_unit_test] socket.timeout: timed out 
 [integration_py3_admin_unit_test]  
 [integration_py3_admin_unit_test] During handling of the above exception, another exception occurred: 
 [integration_py3_admin_unit_test]  
 [integration_py3_admin_unit_test] Traceback (most recent call last): 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/requests/adapters.py", line 449, in send 
 [integration_py3_admin_unit_test] timeout=timeout 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 638, in urlopen 
 [integration_py3_admin_unit_test] _stacktrace=sys.exc_info()[2]) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/urllib3/util/retry.py", line 367, in increment 
 [integration_py3_admin_unit_test] raise six.reraise(type(error), error, _stacktrace) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/urllib3/packages/six.py", line 686, in reraise 
 [integration_py3_admin_unit_test] raise value 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 600, in urlopen 
 [integration_py3_admin_unit_test] chunked=chunked) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 386, in _make_request 
 [integration_py3_admin_unit_test] self._raise_timeout(err=e, url=url, timeout_value=read_timeout) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 306, in _raise_timeout 
 [integration_py3_admin_unit_test] raise ReadTimeoutError(self, url, "Read timed out. (read timeout=%s)" % timeout_value) 
 [integration_py3_admin_unit_test] urllib3.exceptions.ReadTimeoutError: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60) 
 [integration_py3_admin_unit_test]  
 [integration_py3_admin_unit_test] During handling of the above exception, another exception occurred: 
 [integration_py3_admin_unit_test]  
 [integration_py3_admin_unit_test] Traceback (most recent call last): 
 [integration_py3_admin_unit_test] File "/clipper/integration-tests/clipper_admin_tests.py", line 48, in tearDown 
 [integration_py3_admin_unit_test] cleanup=True, start_clipper=False, cleanup_name=self.name) 
 [integration_py3_admin_unit_test] File "/clipper/integration-tests/test_utils.py", line 89, in create_docker_connection 
 [integration_py3_admin_unit_test] cl.stop_all(graceful=False) 
 [integration_py3_admin_unit_test] File "/clipper/clipper_admin/clipper_admin/clipper_admin.py", line 1322, in stop_all 
 [integration_py3_admin_unit_test] self.cm.stop_all(graceful=graceful) 
 [integration_py3_admin_unit_test] File "/clipper/clipper_admin/clipper_admin/docker/docker_container_manager.py", line 439, in stop_all 
 [integration_py3_admin_unit_test] key=CLIPPER_DOCKER_LABEL, val=self.cluster_name) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/docker/models/containers.py", line 880, in list 
 [integration_py3_admin_unit_test] return [self.get(r['Id']) for r in resp] 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/docker/models/containers.py", line 880, in <listcomp> 
 [integration_py3_admin_unit_test] return [self.get(r['Id']) for r in resp] 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/docker/models/containers.py", line 833, in get 
 [integration_py3_admin_unit_test] resp = self.client.api.inspect_container(container_id) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/docker/utils/decorators.py", line 19, in wrapped 
 [integration_py3_admin_unit_test] return f(self, resource_id, *args, **kwargs) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/docker/api/container.py", line 721, in inspect_container 
 [integration_py3_admin_unit_test] self._get(self._url("/containers/{0}/json", container)), True 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/docker/utils/decorators.py", line 46, in inner 
 [integration_py3_admin_unit_test] return f(self, *args, **kwargs) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/docker/api/client.py", line 194, in _get 
 [integration_py3_admin_unit_test] return self.get(url, **self._set_request_timeout(kwargs)) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/requests/sessions.py", line 546, in get 
 [integration_py3_admin_unit_test] return self.request('GET', url, **kwargs) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/requests/sessions.py", line 533, in request 
 [integration_py3_admin_unit_test] resp = self.send(prep, **send_kwargs) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/requests/sessions.py", line 646, in send 
 [integration_py3_admin_unit_test] r = adapter.send(request, **kwargs) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/requests/adapters.py", line 529, in send 
 [integration_py3_admin_unit_test] raise ReadTimeout(e, request=request) 
 [integration_py3_admin_unit_test] requests.exceptions.ReadTimeout: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60) 
 [integration_py3_admin_unit_test]  
 [integration_py3_admin_unit_test] ---------------------------------------------------------------------- 
 [integration_py3_admin_unit_test] Ran 15 tests in 793.603s 
 [integration_py3_admin_unit_test]  
 [integration_py3_admin_unit_test] FAILED (errors=2) 
 [integration_py2_multi_tenancy] Starting Trial 0 with timeout 2400.0 seconds 
 [integration_py2_multi_tenancy] Success! 
===== finished: integration_py2_multi_tenancy =====
 [integration_py2_admin_unit_test] test_register_model_correct (__main__.ClipperManagerTestCaseShort) ... 19-03-25:03:07:46 INFO     [test_utils.py:75] Creating DockerContainerManager 
 [integration_py2_admin_unit_test] 19-03-25:03:07:46 INFO     [test_utils.py:94] Starting up Docker cluster admin-test-cluster-3962 
 [integration_py2_admin_unit_test] 19-03-25:03:07:46 INFO     [test_utils.py:105] Starting Clipper 
 [integration_py2_admin_unit_test] 19-03-25:03:07:46 INFO     [docker_container_manager.py:151] [admin-test-cluster-3962] Starting managed Redis instance in Docker 
 [integration_py3_multi_tenancy] 19-03-25:03:07:47 INFO     [test_utils.py:75] Creating DockerContainerManager 
 [integration_py3_multi_tenancy] 19-03-25:03:07:47 INFO     [test_utils.py:94] Starting up Docker cluster multi-tenancy-1-6293 
 [integration_py3_multi_tenancy] 19-03-25:03:07:47 INFO     [test_utils.py:105] Starting Clipper 
 [integration_py3_multi_tenancy] 19-03-25:03:07:47 INFO     [docker_container_manager.py:151] [multi-tenancy-1-6293] Starting managed Redis instance in Docker 
 [integration_py3_admin_unit_test] test_register_model_correct (__main__.ClipperManagerTestCaseShort) ... 19-03-25:03:07:47 INFO     [test_utils.py:75] Creating DockerContainerManager 
 [integration_py3_admin_unit_test] 19-03-25:03:07:47 INFO     [test_utils.py:94] Starting up Docker cluster admin-test-cluster-2717 
 [integration_py3_admin_unit_test] 19-03-25:03:07:47 INFO     [test_utils.py:105] Starting Clipper 
 [integration_py3_admin_unit_test] 19-03-25:03:07:47 INFO     [docker_container_manager.py:151] [admin-test-cluster-2717] Starting managed Redis instance in Docker 
 [integration_py3_admin_unit_test] ERROR 
 [integration_py3_admin_unit_test]  
 [integration_py3_admin_unit_test] ====================================================================== 
 [integration_py3_admin_unit_test] ERROR: test_register_model_correct (__main__.ClipperManagerTestCaseShort) 
 [integration_py3_admin_unit_test] ---------------------------------------------------------------------- 
 [integration_py3_admin_unit_test] Traceback (most recent call last): 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 384, in _make_request 
 [integration_py3_admin_unit_test] six.raise_from(e, None) 
 [integration_py3_admin_unit_test] File "<string>", line 2, in raise_from 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 380, in _make_request 
 [integration_py3_admin_unit_test] httplib_response = conn.getresponse() 
 [integration_py3_admin_unit_test] File "/usr/lib/python3.5/http/client.py", line 1198, in getresponse 
 [integration_py3_admin_unit_test] response.begin() 
 [integration_py3_admin_unit_test] File "/usr/lib/python3.5/http/client.py", line 297, in begin 
 [integration_py3_admin_unit_test] version, status, reason = self._read_status() 
 [integration_py3_admin_unit_test] File "/usr/lib/python3.5/http/client.py", line 258, in _read_status 
 [integration_py3_admin_unit_test] line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1") 
 [integration_py3_admin_unit_test] File "/usr/lib/python3.5/socket.py", line 576, in readinto 
 [integration_py3_admin_unit_test] return self._sock.recv_into(b) 
 [integration_py3_admin_unit_test] socket.timeout: timed out 
 [integration_py3_admin_unit_test]  
 [integration_py3_admin_unit_test] During handling of the above exception, another exception occurred: 
 [integration_py3_admin_unit_test]  
 [integration_py3_admin_unit_test] Traceback (most recent call last): 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/requests/adapters.py", line 449, in send 
 [integration_py3_admin_unit_test] timeout=timeout 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 638, in urlopen 
 [integration_py3_admin_unit_test] _stacktrace=sys.exc_info()[2]) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/urllib3/util/retry.py", line 367, in increment 
 [integration_py3_admin_unit_test] raise six.reraise(type(error), error, _stacktrace) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/urllib3/packages/six.py", line 686, in reraise 
 [integration_py3_admin_unit_test] raise value 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 600, in urlopen 
 [integration_py3_admin_unit_test] chunked=chunked) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 386, in _make_request 
 [integration_py3_admin_unit_test] self._raise_timeout(err=e, url=url, timeout_value=read_timeout) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 306, in _raise_timeout 
 [integration_py3_admin_unit_test] raise ReadTimeoutError(self, url, "Read timed out. (read timeout=%s)" % timeout_value) 
 [integration_py3_admin_unit_test] urllib3.exceptions.ReadTimeoutError: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60) 
 [integration_py3_admin_unit_test]  
 [integration_py3_admin_unit_test] During handling of the above exception, another exception occurred: 
 [integration_py3_admin_unit_test]  
 [integration_py3_admin_unit_test] Traceback (most recent call last): 
 [integration_py3_admin_unit_test] File "/clipper/integration-tests/clipper_admin_tests.py", line 43, in setUp 
 [integration_py3_admin_unit_test] cleanup=False, start_clipper=True, new_name=new_name) 
 [integration_py3_admin_unit_test] File "/clipper/integration-tests/test_utils.py", line 106, in create_docker_connection 
 [integration_py3_admin_unit_test] cl.start_clipper() 
 [integration_py3_admin_unit_test] File "/clipper/clipper_admin/clipper_admin/clipper_admin.py", line 126, in start_clipper 
 [integration_py3_admin_unit_test] num_frontend_replicas) 
 [integration_py3_admin_unit_test] File "/clipper/clipper_admin/clipper_admin/docker/docker_container_manager.py", line 186, in start_clipper 
 [integration_py3_admin_unit_test] **self.extra_container_kwargs) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/docker/models/containers.py", line 762, in run 
 [integration_py3_admin_unit_test] container.start() 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/docker/models/containers.py", line 364, in start 
 [integration_py3_admin_unit_test] return self.client.api.start(self.id, **kwargs) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/docker/utils/decorators.py", line 19, in wrapped 
 [integration_py3_admin_unit_test] return f(self, resource_id, *args, **kwargs) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/docker/api/container.py", line 1048, in start 
 [integration_py3_admin_unit_test] res = self._post(url) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/docker/utils/decorators.py", line 46, in inner 
 [integration_py3_admin_unit_test] return f(self, *args, **kwargs) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/docker/api/client.py", line 190, in _post 
 [integration_py3_admin_unit_test] return self.post(url, **self._set_request_timeout(kwargs)) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/requests/sessions.py", line 581, in post 
 [integration_py3_admin_unit_test] return self.request('POST', url, data=data, json=json, **kwargs) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/requests/sessions.py", line 533, in request 
 [integration_py3_admin_unit_test] resp = self.send(prep, **send_kwargs) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/requests/sessions.py", line 646, in send 
 [integration_py3_admin_unit_test] r = adapter.send(request, **kwargs) 
 [integration_py3_admin_unit_test] File "/usr/local/lib/python3.5/dist-packages/requests/adapters.py", line 529, in send 
 [integration_py3_admin_unit_test] raise ReadTimeout(e, request=request) 
 [integration_py3_admin_unit_test] requests.exceptions.ReadTimeout: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60) 
 [integration_py3_admin_unit_test]  
 [integration_py3_admin_unit_test] ---------------------------------------------------------------------- 
 [integration_py3_admin_unit_test] Ran 1 test in 66.297s 
 [integration_py3_admin_unit_test]  
 [integration_py3_admin_unit_test] FAILED (errors=1) 
 [integration_py2_admin_unit_test] ERROR 
 [integration_py2_admin_unit_test]  
 [integration_py2_admin_unit_test] ====================================================================== 
 [integration_py2_admin_unit_test] ERROR: test_register_model_correct (__main__.ClipperManagerTestCaseShort) 
 [integration_py2_admin_unit_test] ---------------------------------------------------------------------- 
 [integration_py2_admin_unit_test] Traceback (most recent call last): 
 [integration_py2_admin_unit_test] File "/clipper/integration-tests/clipper_admin_tests.py", line 43, in setUp 
 [integration_py2_admin_unit_test] cleanup=False, start_clipper=True, new_name=new_name) 
 [integration_py2_admin_unit_test] File "/clipper/integration-tests/test_utils.py", line 106, in create_docker_connection 
 [integration_py2_admin_unit_test] cl.start_clipper() 
 [integration_py2_admin_unit_test] File "/clipper/clipper_admin/clipper_admin/clipper_admin.py", line 126, in start_clipper 
 [integration_py2_admin_unit_test] num_frontend_replicas) 
 [integration_py2_admin_unit_test] File "/clipper/clipper_admin/clipper_admin/docker/docker_container_manager.py", line 214, in start_clipper 
 [integration_py2_admin_unit_test] **self.extra_container_kwargs) 
 [integration_py2_admin_unit_test] File "/usr/local/lib/python2.7/dist-packages/docker/models/containers.py", line 762, in run 
 [integration_py2_admin_unit_test] container.start() 
 [integration_py2_admin_unit_test] File "/usr/local/lib/python2.7/dist-packages/docker/models/containers.py", line 364, in start 
 [integration_py2_admin_unit_test] return self.client.api.start(self.id, **kwargs) 
 [integration_py2_admin_unit_test] File "/usr/local/lib/python2.7/dist-packages/docker/utils/decorators.py", line 19, in wrapped 
 [integration_py2_admin_unit_test] return f(self, resource_id, *args, **kwargs) 
 [integration_py2_admin_unit_test] File "/usr/local/lib/python2.7/dist-packages/docker/api/container.py", line 1048, in start 
 [integration_py2_admin_unit_test] res = self._post(url) 
 [integration_py2_admin_unit_test] File "/usr/local/lib/python2.7/dist-packages/docker/utils/decorators.py", line 46, in inner 
 [integration_py2_admin_unit_test] return f(self, *args, **kwargs) 
 [integration_py2_admin_unit_test] File "/usr/local/lib/python2.7/dist-packages/docker/api/client.py", line 190, in _post 
 [integration_py2_admin_unit_test] return self.post(url, **self._set_request_timeout(kwargs)) 
 [integration_py2_admin_unit_test] File "/usr/local/lib/python2.7/dist-packages/requests/sessions.py", line 581, in post 
 [integration_py2_admin_unit_test] return self.request('POST', url, data=data, json=json, **kwargs) 
 [integration_py2_admin_unit_test] File "/usr/local/lib/python2.7/dist-packages/requests/sessions.py", line 533, in request 
 [integration_py2_admin_unit_test] resp = self.send(prep, **send_kwargs) 
 [integration_py2_admin_unit_test] File "/usr/local/lib/python2.7/dist-packages/requests/sessions.py", line 646, in send 
 [integration_py2_admin_unit_test] r = adapter.send(request, **kwargs) 
 [integration_py2_admin_unit_test] File "/usr/local/lib/python2.7/dist-packages/requests/adapters.py", line 529, in send 
 [integration_py2_admin_unit_test] raise ReadTimeout(e, request=request) 
 [integration_py2_admin_unit_test] ReadTimeout: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60) 
 [integration_py2_admin_unit_test]  
 [integration_py2_admin_unit_test] ---------------------------------------------------------------------- 
 [integration_py2_admin_unit_test] Ran 1 test in 106.078s 
 [integration_py2_admin_unit_test]  
 [integration_py2_admin_unit_test] FAILED (errors=1) 
 [integration_py3_admin_unit_test] Starting Trial 0 with timeout 2400.0 seconds 
 [integration_py3_admin_unit_test] Starting Trial 1 with timeout 2400.0 seconds 
 [integration_py3_admin_unit_test] All retry failed. 
CI_test.Makefile:53: recipe for target 'integration_py3_admin_unit_test' failed
make: *** [integration_py3_admin_unit_test] Error 1
make: *** Waiting for unfinished jobs....
 [integration_py3_multi_tenancy] Traceback (most recent call last): 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 384, in _make_request 
 [integration_py3_multi_tenancy] six.raise_from(e, None) 
 [integration_py3_multi_tenancy] File "<string>", line 2, in raise_from 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 380, in _make_request 
 [integration_py3_multi_tenancy] httplib_response = conn.getresponse() 
 [integration_py3_multi_tenancy] File "/usr/lib/python3.5/http/client.py", line 1198, in getresponse 
 [integration_py3_multi_tenancy] response.begin() 
 [integration_py3_multi_tenancy] File "/usr/lib/python3.5/http/client.py", line 297, in begin 
 [integration_py3_multi_tenancy] version, status, reason = self._read_status() 
 [integration_py3_multi_tenancy] File "/usr/lib/python3.5/http/client.py", line 258, in _read_status 
 [integration_py3_multi_tenancy] line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1") 
 [integration_py3_multi_tenancy] File "/usr/lib/python3.5/socket.py", line 576, in readinto 
 [integration_py3_multi_tenancy] return self._sock.recv_into(b) 
 [integration_py3_multi_tenancy] socket.timeout: timed out 
 [integration_py3_multi_tenancy]  
 [integration_py3_multi_tenancy] During handling of the above exception, another exception occurred: 
 [integration_py3_multi_tenancy]  
 [integration_py3_multi_tenancy] Traceback (most recent call last): 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/requests/adapters.py", line 449, in send 
 [integration_py3_multi_tenancy] timeout=timeout 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 638, in urlopen 
 [integration_py3_multi_tenancy] _stacktrace=sys.exc_info()[2]) 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/urllib3/util/retry.py", line 367, in increment 
 [integration_py3_multi_tenancy] raise six.reraise(type(error), error, _stacktrace) 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/urllib3/packages/six.py", line 686, in reraise 
 [integration_py3_multi_tenancy] raise value 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 600, in urlopen 
 [integration_py3_multi_tenancy] chunked=chunked) 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 386, in _make_request 
 [integration_py3_multi_tenancy] self._raise_timeout(err=e, url=url, timeout_value=read_timeout) 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 306, in _raise_timeout 
 [integration_py3_multi_tenancy] raise ReadTimeoutError(self, url, "Read timed out. (read timeout=%s)" % timeout_value) 
 [integration_py3_multi_tenancy] urllib3.exceptions.ReadTimeoutError: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60) 
 [integration_py3_multi_tenancy]  
 [integration_py3_multi_tenancy] During handling of the above exception, another exception occurred: 
 [integration_py3_multi_tenancy]  
 [integration_py3_multi_tenancy] Traceback (most recent call last): 
 [integration_py3_multi_tenancy] File "/clipper/integration-tests/multi_tenancy_test.py", line 81, in <module> 
 [integration_py3_multi_tenancy] test(kubernetes=False) 
 [integration_py3_multi_tenancy] File "/clipper/integration-tests/multi_tenancy_test.py", line 16, in test 
 [integration_py3_multi_tenancy] conn_1 = create('multi-tenancy-1-{}'.format(randint(1,9999)), use_kubernetes=kubernetes) 
 [integration_py3_multi_tenancy] File "/clipper/integration-tests/multi_tenancy_test.py", line 39, in create 
 [integration_py3_multi_tenancy] cleanup=False, start_clipper=True, new_name=name) 
 [integration_py3_multi_tenancy] File "/clipper/integration-tests/test_utils.py", line 106, in create_docker_connection 
 [integration_py3_multi_tenancy] cl.start_clipper() 
 [integration_py3_multi_tenancy] File "/clipper/clipper_admin/clipper_admin/clipper_admin.py", line 126, in start_clipper 
 [integration_py3_multi_tenancy] num_frontend_replicas) 
 [integration_py3_multi_tenancy] File "/clipper/clipper_admin/clipper_admin/docker/docker_container_manager.py", line 214, in start_clipper 
 [integration_py3_multi_tenancy] **self.extra_container_kwargs) 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/docker/models/containers.py", line 762, in run 
 [integration_py3_multi_tenancy] container.start() 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/docker/models/containers.py", line 364, in start 
 [integration_py3_multi_tenancy] return self.client.api.start(self.id, **kwargs) 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/docker/utils/decorators.py", line 19, in wrapped 
 [integration_py3_multi_tenancy] return f(self, resource_id, *args, **kwargs) 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/docker/api/container.py", line 1048, in start 
 [integration_py3_multi_tenancy] res = self._post(url) 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/docker/utils/decorators.py", line 46, in inner 
 [integration_py3_multi_tenancy] return f(self, *args, **kwargs) 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/docker/api/client.py", line 190, in _post 
 [integration_py3_multi_tenancy] return self.post(url, **self._set_request_timeout(kwargs)) 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/requests/sessions.py", line 581, in post 
 [integration_py3_multi_tenancy] return self.request('POST', url, data=data, json=json, **kwargs) 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/requests/sessions.py", line 533, in request 
 [integration_py3_multi_tenancy] resp = self.send(prep, **send_kwargs) 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/requests/sessions.py", line 646, in send 
 [integration_py3_multi_tenancy] r = adapter.send(request, **kwargs) 
 [integration_py3_multi_tenancy] File "/usr/local/lib/python3.5/dist-packages/requests/adapters.py", line 529, in send 
 [integration_py3_multi_tenancy] raise ReadTimeout(e, request=request) 
 [integration_py3_multi_tenancy] requests.exceptions.ReadTimeout: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60) 
 [integration_py2_admin_unit_test] Starting Trial 0 with timeout 2400.0 seconds 
 [integration_py2_admin_unit_test] Starting Trial 1 with timeout 2400.0 seconds 
 [integration_py2_admin_unit_test] All retry failed. 
CI_test.Makefile:44: recipe for target 'integration_py2_admin_unit_test' failed
make: *** [integration_py2_admin_unit_test] Error 1
 [integration_py3_multi_tenancy] Starting Trial 0 with timeout 2400.0 seconds 
 [integration_py3_multi_tenancy] Starting Trial 1 with timeout 2400.0 seconds 
 [integration_py3_multi_tenancy] All retry failed. 
CI_test.Makefile:197: recipe for target 'integration_py3_multi_tenancy' failed
make: *** [integration_py3_multi_tenancy] Error 1
Build step 'Execute shell' marked build as failure
Test FAILed.
Refer to this link for build results (access rights to CI server needed): 
https://amplab.cs.berkeley.edu/jenkins//job/Clipper-PRB/1818/
Test FAILed.
Finished: FAILURE